> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Event: Knock

POST https://api.propexo.com/crm/v1/events/knock/
Content-Type: application/json

Create Event: Knock

Reference: https://docs.propexo.com/api-reference/knock/events/create-event-knock

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_events_knock__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `community_id` (string, required) — The Propexo unique identifier for the community
- `event_name` (enum, required) — The name or type of event
  - Allowed values: `SMS`, `CHAT`, `CALL`, `EMAIL`, `ACTIVITY`
- `attribution_id` (string, optional) — The Propexo unique identifier for the attribution. Required for CALL events
- `agent_id` (string, optional) — The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events
- `event_datetime` (string, optional) — The date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events
- `notes` (string, optional) — Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events
- `email_body` (string, optional) — The body of the email. Required for EMAIL events
- `email_subject` (string, optional) — The subject of the email. Required for EMAIL events
- `call_status` (enum, optional) — The status of the call. Required for CALL events
  - Allowed values: `ANSWERED`, `MISSED_NO_VOICEMAIL`, `MISSED_VOICEMAIL`, `HUNG_UP`, `FAILED`, `TERMINATED`
- `time_from` (string, optional) — The start time of the event. Required for CALL events
- `time_to` (string, optional) — The end time of the event. Required for CALL events

## Response

### 200

Successful response

- `meta` (CrmV1EventsKnockPostOutputMeta, required)
- `result` (CrmV1EventsKnockPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1EventsKnockPostOutputMeta

- `job_id` (string, required)

### CrmV1EventsKnockPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `community_id` (string, required) — The Propexo unique identifier for the community
- `attribution_id` (string, required, nullable) — The Propexo unique identifier for the attribution. Required for CALL events
- `agent_id` (string, required, nullable) — The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events
- `event_name` (enum, required) — The name or type of event
  - Allowed values: `SMS`, `CHAT`, `CALL`, `EMAIL`, `ACTIVITY`
- `event_datetime` (string, required, nullable) — The date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events
- `notes` (string, required, nullable) — Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events
- `email_body` (string, required, nullable) — The body of the email. Required for EMAIL events
- `email_subject` (string, required, nullable) — The subject of the email. Required for EMAIL events
- `call_status` (enum, required) — The status of the call. Required for CALL events
  - Allowed values: `ANSWERED`, `MISSED_NO_VOICEMAIL`, `MISSED_VOICEMAIL`, `HUNG_UP`, `FAILED`, `TERMINATED`
- `time_from` (string, required, nullable) — The start time of the event. Required for CALL events
- `time_to` (string, required, nullable) — The end time of the event. Required for CALL events

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "prospect_id": "prsp_1234567890abcdef",
  "community_id": "comm_abcdef1234567890",
  "event_name": "SMS"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240615_abcdef123456"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "prospect_id": "prsp_1234567890abcdef",
    "community_id": "comm_abcdef1234567890",
    "attribution_id": "attr_0987654321fedcba",
    "agent_id": "agent_1122334455667788",
    "event_name": "SMS",
    "event_datetime": "2024-01-15T09:30:00Z",
    "notes": "Followed up with prospect regarding property inquiry.",
    "email_body": "",
    "email_subject": "",
    "call_status": "",
    "time_from": "",
    "time_to": ""
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/events/knock/"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "prospect_id": "prsp_1234567890abcdef",
    "community_id": "comm_abcdef1234567890",
    "event_name": "SMS"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/events/knock/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","prospect_id":"prsp_1234567890abcdef","community_id":"comm_abcdef1234567890","event_name":"SMS"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/events/knock/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"prospect_id\": \"prsp_1234567890abcdef\",\n  \"community_id\": \"comm_abcdef1234567890\",\n  \"event_name\": \"SMS\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/events/knock/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"prospect_id\": \"prsp_1234567890abcdef\",\n  \"community_id\": \"comm_abcdef1234567890\",\n  \"event_name\": \"SMS\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/events/knock/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"prospect_id\": \"prsp_1234567890abcdef\",\n  \"community_id\": \"comm_abcdef1234567890\",\n  \"event_name\": \"SMS\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/events/knock/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "prospect_id": "prsp_1234567890abcdef",
  "community_id": "comm_abcdef1234567890",
  "event_name": "SMS"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/events/knock/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"prospect_id\": \"prsp_1234567890abcdef\",\n  \"community_id\": \"comm_abcdef1234567890\",\n  \"event_name\": \"SMS\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "prospect_id": "prsp_1234567890abcdef",
  "community_id": "comm_abcdef1234567890",
  "event_name": "SMS"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/events/knock/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```